curl --request GET \
--url https://api.jurichat.com/tickets/ \
--header 'x-jurichat-api-key: <api-key>'import requests
url = "https://api.jurichat.com/tickets/"
headers = {"x-jurichat-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-jurichat-api-key': '<api-key>'}};
fetch('https://api.jurichat.com/tickets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalResults": 123,
"totalPages": 123,
"data": [
{
"id": "<string>",
"officeId": "<string>",
"number": 1,
"code": "<string>",
"title": "<string>",
"description": "<string>",
"status": {
"id": "<string>",
"name": "<string>",
"color": "<string>",
"isClosed": true,
"index": 123
},
"priority": "LOW",
"conversationId": "<string>",
"conversation": {
"id": "<string>",
"person": {
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>"
}
},
"createdByUserId": "<string>",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
},
"isPublic": true,
"publicToken": "<string>",
"publicUrl": "<string>",
"assignees": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>"
}
],
"departments": [
{
"id": "<string>",
"name": "<string>"
}
],
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"attachments": [
{
"id": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 1,
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"updatesCount": 1,
"lastUpdate": {
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
},
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"points": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"counters": {
"statuses": [
{
"statusId": "<string>",
"name": "<string>",
"color": "<string>",
"isClosed": true,
"count": 1
}
],
"open": 1,
"all": 1
}
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Listar tickets
Lista os tickets do escritório com filtros e paginação.
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Query Parameters
Número da página.
Quantidade de itens por página.
Filtro de status. "open" = status com isClosed=false. "all" = todos.
open, all Filtra por um status específico (ex.: paginação de coluna do board).
1Filtra por um ou mais status customizados.
^[cC][^\s-]{8,}$Filtra por uma ou mais etiquetas.
^[cC][^\s-]{8,}$Filtra por um ou mais responsáveis.
^[cC][^\s-]{8,}$Filtra por um ou mais setores.
^[cC][^\s-]{8,}$Filtra pelo título do ticket.
Filtra tickets vinculados a uma conversa.
^[cC][^\s-]{8,}$Filtra por prioridade do ticket.
LOW, MEDIUM, HIGH Filtra tickets com data inicial a partir desta data.
Filtra tickets com data final até esta data.
Obsoleto. Prefira assigneeIds.
^[cC][^\s-]{8,}$Obsoleto. Prefira departmentIds.
^[cC][^\s-]{8,}$Obsoleto. Prefira title.